import {Component, EventEmitter, Input, Output} from '@angular/core';
import {GetSigningRequestResponseSigningRequestDocument} from '../../../../gen';

@Component({
  selector: 'app-signing-sidebar',
  standalone: false,

  templateUrl: './signing-sidebar.component.html',
  styleUrl: './signing-sidebar.component.css'
})
export class SigningSidebarComponent {
  @Input() documents!: GetSigningRequestResponseSigningRequestDocument[];

  @Output() documentSelected = new EventEmitter<GetSigningRequestResponseSigningRequestDocument>();

  selectDocument(doc: GetSigningRequestResponseSigningRequestDocument): void {
    this.documentSelected.emit(doc);
  }

  canSign(): boolean {
    const firstUnconfirmedDocument = this.documents.find(doc => {
      return !doc.confirmed
    })
    return firstUnconfirmedDocument !== undefined;
  }
}
